<?php 

require_once('../shared/conexionBD.php');
mysqli_query($conexion,"SET NAMES utf8");
if (isset($_POST['search'])){
	
	$busqueda = trim($_POST['search']);
	$minus = strtolower($busqueda);
	$query  =" SELECT ID,LINEA,MODELO,SUBMODELO ";
	$query .=" FROM ITT_ALP_GLOBAL ";
	$query .=" WHERE lower(LINEA) LIKE '%".$minus."%' OR lower(MODELO) LIKE '%".$minus."%' OR lower(SUBMODELO) LIKE '%".$minus."%' ";
	$resultadoM = mysqli_query($conexion, $query );
	$modeloDatosA = array();
	$arrIds = array();
	$rutaImagenCompleta = "";
	$rutaImagen = '../ALP/';
	$ContarItemsdevueltos = 0;

	while ($columnaM = mysqli_fetch_array( $resultadoM))
	{
		$linea = $columnaM['LINEA'];
		$modelo = $columnaM['MODELO'];
		$submodelo = $columnaM['SUBMODELO'];
		$modeloDatosA[] = $columnaM['SUBMODELO'];
	    // revisar las imagenes
		$imagen = $columnaM['ID'].".jpg";
		$fichero = $rutaImagen.$imagen;
		
		if (file_exists($fichero)) {	
	    //comprobar si el archivo existe en la carpeta ALP
			$rutaImagenCompleta = "ALP/".$imagen;;
		}
		else{
	      //si no existe dejar imagen por default
			$rutaImagenCompleta = 'media/noimagen.jpg';
		}
		$queryGet = 'linea='.urlencode($linea).'&modelo='.urlencode($modelo).'&submodelo='.urlencode($submodelo);
		
		echo "<div class='col-sm-6 col-lg-4 col-md-6 col-12'>";
		echo "<div class='card hp-100'>";
		echo "<div class='contenedor'>";
		echo "<a href='producto.php?".htmlentities($queryGet)."'><img class='card-img-top imagen modelo-p' src=".$rutaImagenCompleta." alt=".$submodelo." /></a>";
		echo "</div>";
		echo "<div class='card-body'>";
		echo "<h6 class='card-title'>".$submodelo."</h6>";
		echo "</div> ";
		echo "	</div>
		</div>";
		

		$ContarItemsdevueltos++;
	}
	if ($ContarItemsdevueltos == 0) {
		echo "<p><strong>No se han encontrado coincidencias</strong></p>";
	}

}
if (isset($_POST['searchPrincipal'])):
	?>
	<div class="container grid">
		<div class="hcol-8-12">
			<div class="searcher-left ">
				<h3><strong>Artículos </strong> relacionados </h3>
				<div class="s-grid">
					<?php 

					$rutaImagenCompleta = "";
					$rutaImagen = '../ALP/';

					$busqueda = trim($_POST['searchPrincipal']); // Se obtiene el parametro de la busqueda
					$minus = strtolower($busqueda); // Se transforma todas las letras a minúsculas 
					
					$query  =" SELECT ID,LINEA,MODELO,SUBMODELO ";
					$query .=" FROM ITT_ALP_GLOBAL ";
					$query .=" WHERE MODELO <> 'Refacciones' AND MODELO <> 'MOTORES' AND MODELO <> 'TRANSMISIONES' AND  (lower(LINEA) LIKE '%".$minus."%' OR lower(MODELO) LIKE '%".$minus."%' OR lower(SUBMODELO) LIKE '%".$minus."%') ";
					
					$resultado = mysqli_query($conexion, $query);

					if($resultado) {
						if((mysqli_num_rows($resultado)>0)) {

							while ($columna= mysqli_fetch_array($resultado)) {

								$linea          = $columna['LINEA'];
								$modelo 	    = $columna['MODELO'];
								$submodelo 	    = $columna['SUBMODELO'];
					       		
					       		// Revisar las imagenes
								$imagen = $columna['ID'].".jpg";
								$fichero = $rutaImagen.$imagen;
								
								$imagen = (file_exists($fichero)) ? $rutaImagenCompleta = "ALP/".$imagen :  $rutaImagenCompleta = 'media/noimagen.jpg' ;

								$queryGet = 'linea='.urlencode($linea).'&modelo='.urlencode($modelo).'&submodelo='.urlencode($submodelo);

								echo "<div class='searched-prod s-col-1-4'>";
								echo "<div class='product-image'>";
								echo "<a href='producto.php?".htmlentities($queryGet)."' title='".$submodelo.".' class='product-image'>";
								echo "<img src='".$imagen."' style='max-width: 75px; max-height: 75px;' alt='".$submodelo."'>";
								echo "</a>";
								echo "</div>";
								echo "<div class='product-name'>";
								echo "<a href='producto.php?".htmlentities($queryGet)."' title='".$modelo.".'>";
								echo "<span class='highlight'>".$submodelo."</span>";
								echo "</a>";
								echo "</div>";
								echo "</div>";

							}

							////////////////////////////////
							// Calculadora de atenuadores //
							////////////////////////////////

							$string = 'calculadora de atenuadores';
							if(!stristr($string, $minus) === FALSE) {
								
								echo "<div class='searched-prod s-col-1-4'>";
								echo "<div class='product-image'>";
								echo "<a href='atenuadores.php' title='Calculadora' class='product-image'>";

								echo "<svg aria-hidden='true' style='max-width: 75px; max-height: 75px;' focusable='false' data-prefix='fas' data-icon='calculator' class='svg-inline--fa fa-calculator fa-w-14' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'><path fill='currentColor' d='M400 0H48C22.4 0 0 22.4 0 48v416c0 25.6 22.4 48 48 48h352c25.6 0 48-22.4 48-48V48c0-25.6-22.4-48-48-48zM128 435.2c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm0-128c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm128 128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm0-128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm128 128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8V268.8c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v166.4zm0-256c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8V76.8C64 70.4 70.4 64 76.8 64h294.4c6.4 0 12.8 6.4 12.8 12.8v102.4z'></path></svg>

								";

								echo "</a>";
								echo "</div>";
								echo "<div class='product-name'>";
								echo "<a href='atenuadores.php' title='Calculadora de atenudor'>";
								echo "<span class='highlight'>Selecciona tu atenuador</span>";
								echo "</a>";
								echo "</div>";
								echo "</div>";

							}


						} else {
							echo "<p><strong>No se han encontrado coincidencias</strong></p>";
						} 
					}else {
						echo 'Ha ocurrido un error al consultar las líneas, por favor reporte el problema';
					}
					?>
					

				</div>
			</div>
		</div>
	</div>

<?php endif; ?>


<?php 
if (isset($_POST['id'])): 
	$zona = trim($_POST['id']);
	$query = "SELECT * FROM ITT_ASW_PROM WHERE DIZONA = '".$zona."' AND PTIPO='P' ";
	// echo "<p>".$query."</p>";
	$resultado = mysqli_query($conexion, $query );
	$datos = array();
	if($resultado) {
		if(mysqli_num_rows($resultado) >0) {
			$promotores = mysqli_fetch_array($resultado,MYSQLI_ASSOC);
			// $datos = $promotores; 
		}else{
			$strMensaje = "Sin promotor asignado.";
		}
	}
	$numZona = explode("Z",$zona);
	echo "<div class='content2'>";
	if (!empty($promotores)) {
		echo "<p class='h2-2'>ZONA <span id='spanZona'>".$numZona[1]."</span></p>
		<p> <span id='spanNombre'>".$promotores['DINOMBRE']."</span><br>
		Teléfono: ".$promotores['DITEL']."<br>
		Email: <span id='spanEmail'>".$promotores['DICORREO']."</span>
		</p>
		";
	}else{
		echo "<p>".$strMensaje."</p></div>";
	}

	?>
	
<?php endif ?>


